# FOR FAST PATTERN MATCHING OVER
# POSTERIZED MINIMAGE FROM ROBOTIC CAMERA #1 
# ./cam1.sh 100
# Threshold number [here 100] is set
# according to light, object and lens
# as a positive number up to 255.
# This will make cam1.bmp, a tiny 
# fast camera image suitable for
# robotic closeups, posterized,
# the image is placed in left corner 
# of 500x500 for easy GEM loop
# and in the process also temporary
# files overwritten. 
# NOTE: wxh ratio and offset may have
# to be adjusted for some cameras;
# before a robotic session, best to
# configure both physical light and
# also software threshold settings;
# also, see alternative with 'crop'
# when distance from cam to obj big
# AND: cam numbers depend on PC and
# cabling and OS; usually plug them
# in before switching on; first cam
# may be cam1 while second eg cam7
cp -f camwhite.jpeg cam1.jpeg
streamer -q -f jpeg -s 160x120 -c /dev/video0 -o cam1.jpeg
# note alternatives like:
# fswebcam -q -r 320x240 --jpeg 85 -D 0 --no-banner cam1.jpeg
# rm -f cam1c.jpeg
# convert cam1.jpeg -crop 169x169+100+20 -quality 99% \
#  -flip cam1c.jpeg
convert -size 500x500 -quality 99% xc:black cam1.jpeg \
  -gravity southwest -flip -composite cam1.jpg
./tobitbmp.th cam1 $1
