# FOR FAST PATTERN MATCHING OVER
# POSTERIZED MINIMAGE FROM ROBOTIC CAMERA #3 
# ./cam3.sh 100
# Threshold number [here 100] is set
# according to light, object and lens
# as a positive number up to 255.
# This will make cam3.bmp, a tiny 
# fast camera image suitable for
# robotic closeups, posterized,
# the image is placed in left corner 
# of 500x500 for easy GEM loop
# and in the process also temporary
# files overwritten. 
cp -f camwhite.jpeg cam3.jpeg
streamer -q -f jpeg -s 160x120 -c /dev/video2 -o cam3.jpeg
convert -size 500x500 -quality 99% xc:black cam3.jpeg \
  -gravity southwest -flip -composite cam3.jpg
./tobitbmp.th cam3 $1
